package cn.ibizlab.core.data.service.impl;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import java.util.Set;
import java.util.Map;
import java.util.HashSet;
import java.util.HashMap;
import java.util.Collection;
import java.util.Objects;
import java.util.Optional;
import java.math.BigInteger;

import lombok.extern.slf4j.Slf4j;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cglib.beans.BeanCopier;
import org.springframework.stereotype.Service;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.Pageable;
import org.springframework.util.ObjectUtils;
import org.springframework.beans.factory.annotation.Value;
import cn.ibizlab.util.errors.BadRequestAlertException;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.context.annotation.Lazy;
import cn.ibizlab.core.data.domain.DSSetting;
import cn.ibizlab.core.data.filter.DSSettingSearchContext;
import cn.ibizlab.core.data.service.IDSSettingService;

import cn.ibizlab.util.helper.CachedBeanCopier;
import cn.ibizlab.util.helper.DEFieldCacheMap;


/**
 * 实体[数据源] 无存储服务对象接口实现
 */
@Slf4j
@Service
public class DSSettingServiceImpl implements IDSSettingService {


    @Override
    public boolean create(DSSetting et) {
        //代码实现
        return true;
    }

    public void createBatch(List<DSSetting> list){
    }

    @Override
    public boolean update(DSSetting et) {
        //代码实现
        return true;
    }

    public void updateBatch(List<DSSetting> list){
    }

    @Override
    public boolean remove(String key) {
        return true;
    }

    public void removeBatch(Collection<String> idList){
    }

    @Override
    public DSSetting get(String key) {
        DSSetting et = new DSSetting();
        et.setDsId(key);
        return et;
    }

    @Override
    public DSSetting getDraft(DSSetting et) {
        return et;
    }

    @Override
    public boolean checkKey(DSSetting et) {
        return false;
    }
    @Override
    @Transactional
    public boolean save(DSSetting et) {
        //代码实现
        return true;
    }

    @Override
    public void saveBatch(List<DSSetting> list) {
    }





    /**
     * 查询集合 数据集
     */
    @Override
    public Page<DSSetting> searchDefault(DSSettingSearchContext context) {
        return new PageImpl<DSSetting>(new ArrayList(),context.getPageable(),0);
    }

}


